Subject: [Sigtran] Reserved SI value in REG REQ message.

From: Padmalochan Moharana <[email-masked]>
Date: Tue, 26 Sep 2006 23:29:48 -0700 (PDT)

Hi Brian,

When server receive RES REQ message with SI value 1,
what should be the response to the message in M3UA, As
SI value 0-2 is reserverd in M3UA.

Regards
Padmalochan

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 27 Sep 2006 01:02:29 -0600

Padmalochan,

The SI value 2 is not reserved.

What do you return for any other invalid or unsupportable
routing key in a registration request?

Some possibilities:
 
  1 Error - Unknown
  4 Error - Invalid Routing Key
  5 Error - Permission Denied
  6 Error - Cannot Support Unique Routing
  7 Error - Routing Key not Currently Provisioned
  8 Error - Insufficient Resources

Just about any REG RSP error is adequate.

--brian

Padmalochan Moharana wrote:             (Tue, 26 Sep 2006 23:29:48)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Padmalochan Moharana <[email-masked]>
Date: Wed, 27 Sep 2006 00:12:53 -0700 (PDT)

Hi brian ,

As per the RFC3332 section 3.4.5
             0 to 2   Reserved
             3     SCCP
             4     TUP
             5     ISUP
          6 to 8  Reserved
             9     Broadband ISUP
            10     Satellite ISUP
            11     Reserved
            12     AAL type 2 Signalling
            13     Bearer Independent Call Control
(BICC)
            14     Gateway Control Protocol
            15     Reserved

Then what should be the error code on receive REG REQ
with reserverd SI value.

Br,
--- "Brian F. G. Bidulock" <[email-masked]>

---

From: "Ambika Tripathy" <[email-masked]>
Date: Wed, 27 Sep 2006 12:43:13 +0530

Hi Brain

    Below is my configuration of OPC and DEPC for ASP end.

OPC = 1.2.3
DPC = 2.3.4

what should be the value of Destination Point Code parameter for RK in REg
REQ message?

RFC -3332 section3.6.1 tells
"
Destination Point Code:

      The Destination Point Code parameter is mandatory, and identifies
      the Destination Point Code of incoming SS7 traffic for which the
      ASP is registering.  The format is the same as described for the
      Affected Destination parameter in the DUNA message (See Section
      3.4.1).  Its format is:

"
Then the DPC value should be == 1.2.3 if i m not wrong.

Please clear my doubt.

-- 
Br,
Ambika Prasad Tripathy
Nethawk Networks
Cell: +91-94375 47730

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 27 Sep 2006 01:20:22 -0600

Padmalochan,

The IETF does not assign SI values.  ITU-T, ETSI and ANSI permit
the assignment of any SI values within an administration.  2 is
not reserved, it is spare.  0 and 1 are not reserverd, they are
assigned to SNMM and SNTM.  I could go on.  Read the applicable
SS7 standards.

As regards the error codes, did you not read what I wrote?

--brian

Padmalochan Moharana wrote:           (Wed, 27 Sep 2006 00:12:53)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 27 Sep 2006 01:21:32 -0600

Ambika,

1.2.3.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/